API ReferenceScheduled Events
Update scheduled event
Update event details.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidid*string
Format
uuidRequest Body
application/json
title?string
scheduledAt?string
Format
date-timeduration?integer
status?string
Value in
"scheduled" | "in_progress" | "completed" | "cancelled"metadata?object
Response Body
application/json
curl -X PATCH "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/scheduled-events/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"event": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"title": "string",
"scheduledAt": "2019-08-24T14:15:22Z",
"duration": 0,
"status": "scheduled",
"metadata": {},
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty